<nav class="navbar navbar-inverse navbar-static-top">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false"
        aria-controls="navbar">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" [routerLink]="['/']">ngParish</a>
    </div>
    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <li><a [routerLink]="['/parish']">{{'Parish' | translate}}</a></li>
        <li><a [routerLink]="['/reports']">{{'Reports' | translate}}</a></li>
        <li><a [routerLink]="['/users']">{{'Users' | translate}}</a></li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        <li *ngIf="authGuard.user" class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">
            <span class="glyphicon glyphicon-user"></span>
            <span>{{ (authGuard.user | async)?.displayName }}</span> <span class="caret"></span>
          </a>
          <ul class="dropdown-menu">
            <li class="dropdown-header">{{'Language' | translate}}</li>
            <li><a class="util-cursor-pointer" (click)="translate.use('en')">EN</a></li>
            <li><a class="util-cursor-pointer" (click)="translate.use('pl')">PL</a></li>
            <li role="separator" class="divider"></li>
            <li><a class="util-cursor-pointer" (click)="authGuard.logout()">{{'Logout' | translate}}</a></li>
          </ul>
        </li>
      </ul>
    </div>
    <!--/.nav-collapse -->
  </div>
</nav>

<header class="header">
  <div class="container">
    <div class="header__logo">
      <a [routerLink]="['']">
        <img src="assets/{{logoFilename}}" />
      </a>
    </div>
    <div class="header_title-box">
    <h1 class="header__title" [innerHTML]="appTitle"></h1>
    <h2 class="header__subtitle" [innerHTML]="appSubtitle"></h2>
    </div>
  </div>
</header>
<div class="body">
  <div class="container">
    <router-outlet></router-outlet>
  </div>
</div>
<footer class="footer">
  <div class="container">
  </div>
</footer>

<p-confirmDialog header="{{'Confirm' | translate}}" icon="fa fa-question-circle" width="425" acceptLabel="{{'Yes' | translate}}" rejectLabel="{{'No' | translate}}"></p-confirmDialog>

<p-growl [(value)]="alertService.alerts"></p-growl>